DCT2MSTR(1L)

NAME
dct2mstr

SYNOPSIS
dct2mstr -i inputFile [-d dictionary]

DESCRIPTION
dct2mstr formats the sorted type-word list from sortdct into the proper dictionary database format for the NICETEXT system.

OPTIONS

-i inputFile
    The name of the file that contains a sorted type-word list that is the output of sortdct

-d dictionary
    The output dictionary database prefix. The default is mstr.

FILES
( -d would replace mstr below with a new file prefix.)

mstrdict.dat
    Contains one dictionary record per line. Each record consists of the type-index, the bit-code, the frequency (optional), and the string value of the word.

mstrdict.jmp
    A hash-table index that sorts mstrdict.dat records in alphabetical order by word. scramble(1L) uses this index.

mstrdict.alt
    A hash-table index that sorts mstrdict.dat records in order by type-index, bit-code. nicetext(1L) uses this index.

mstrtype.dat
    Contains one type definition record per line. The purpose is to normalize the mstrdict.dat records. Each record consists of a type-index and a description.

mstrtype.jmp
    A hash-table index that sorts the type records by type-index.

EXAMPLES
It is strongly suggested that you try the examples in the tutorial directory of the NICETEXT distribution. For further information, please read the documentation in the doc directory.

DIAGNOSTICS
dct2mstr returns a non-zero value if it detects any errors.

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), gramtest(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), listword(1L), nicetext(1L), printint(1L), scramble(1L), sortdct(1L), txt2dct(1).